php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #45809 Apache crashes after replacing PHP-Version
Submitted: 2008-08-13 18:16 UTC Modified: 2008-08-14 23:08 UTC
From: typo3 at maltejansen dot de Assigned:
Status: Closed Package: Apache2 related
PHP Version: 5.3.0alpha1 OS: Windows XP SP2
Private report: No CVE-ID: None
 [2008-08-13 18:16 UTC] typo3 at maltejansen dot de
Description:
------------
Wenn I'm replacing the PHP5.2 with the latest binaries of (5.3) from http://snaps.php.net/ the apache crashes. When I'm using the binaries of 6.0 the apache and php are working pretty fine.

Reproduce code:
---------------
* Installation of Xampp
* Download binaries from http://snaps.php.net/ (php-5.3-dev (zip))
* Copy binaries to "...\xampp\php53\"
* Replace simular line to new path (..\xampp\apache\conf\extra\httpd-xampp.conf): 
LoadModule php5_module "../xampp/php53alpha/php5apache2_2.dll"
* Start Apache

Expected result:
----------------
The Apache should run smoothly.

Actual result:
--------------
Apache crashes

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2008-08-13 18:54 UTC] jani@php.net
Check your php.ini that you're not loading any shared extensions which might be from the PHP 5.2 installation. Best choice: remove ALL existing PHP stuff before you install new one..
 [2008-08-13 21:59 UTC] typo3 at maltejansen dot de
I have just included the recommaned php.ini (PHPIniDir ".../xampp/php53alpha"), but the apache still crashes.

Removing all php-stuff is no solution, because I have to switch between a stable 5.2.x version and the 5.3 version.

And switching to PHP6 is no problem with some simular adjustment.
 [2008-08-13 22:16 UTC] pajoye@php.net
It really looks like you are mixing dlls. PHP6 may work because of the different main dll name (php6ts.dll).

So yes, be sure to have two completely separate environment for 5.2.6 and 5.3.0-dev. Verify that you have no common paths in PATH and or no php dlls in %WINDIR%.
 [2008-08-14 00:08 UTC] nicos@php.net
Hello,

I'm having the same problem but isn't it because Win's snaps aren't up to date with that rsync problem on snaps.php.net?

Mine is even stronger, php -v says that libmcrypt.dll is missing and then crashes.
 [2008-08-14 08:49 UTC] typo3 at maltejansen dot de
I have just included the recommaned php.ini (PHPIniDir ".../xampp/php53alpha"), but the apache still crashes.

Removing all php-stuff is no solution, because I have to switch between a stable 5.2.x version and the 5.3 version.

And switching to PHP6 is no problem with some simular adjustment.
 [2008-08-14 09:12 UTC] pajoye@php.net
> I have just included the recommaned php.ini (PHPIniDir
> ".../xampp/php53alpha"), but the apache still crashes.

What's about actually checking that the path are correct? Remove what you don't need (extension=...), etc.


> Removing all php-stuff is no solution, because I have to switch 
> between a stable 5.2.x version and the 5.3 version.

It is possible to do that easily by being sure that you are not messing the two versions (dlls or exts).

A clean install helps _a lot_ here. 

However I don't see any new information and in the meantime I met around 20 developers using latest snap (have you tried the latest snap?) successfully with apache 2.2.x or 2.0.x.


 [2008-08-14 23:08 UTC] typo3 at maltejansen dot de
Ok, I have found a solution.
I have made a new installation of xampp and replaced all dlls of php5 with the new ones. It works fine.
So xampp messed up one or more wrong dlls of 5.2 with some of 5.3.
So include extension by xampp are working finr with 5.2 and 5.3.

Thanks for your help.
 
PHP Copyright © 2001-2022 The PHP Group
All rights reserved.
Last updated: Tue Nov 29 13:05:54 2022 UTC